Bug 484742 - ClamAV complains that system limit is lower than maxfile or maxscan
ClamAV complains that system limit is lower than maxfile or maxscan
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 14:00 EST by Derek Atkins
Modified: 2009-12-18 02:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:52:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2009-02-09 14:00:44 EST
Description of problem:

I'm seeing a bunch of these in my logs:

 System limit for file size is lower than maxfilesize or maxscansize

I'm using the default clamav configuration in terms of these settings.

I think part of the problem is that there's a ulimit setting in the clamav init script with a hard-coded value of 25MB, whereas the MaxScanSize default is 100M (the MaxFileSize default appears to be 25MB).

It would be nice if the ulimit size were configurable via /etc/sysconfig/clamav-milter

Version-Release number of selected component (if applicable):

clamav-0.94.2-1.fc10 (and all associated RPMs)

How reproducible:

Hard to tell, but I've been getting them in my log files for a while.

Steps to Reproduce:
1. setup clamav
2. run the default configuration
3. wait, watch the logs
  
Actual results:

 ClamAV-milter started at Sun Feb  8 11:25:40 2009
 System limit for file size is lower than maxfilesize or maxscansize
 Database has changed, loading updated database
 Loaded ClamAV 0.94.2/8966/Sun Feb  8 18:43:40 2009
 ClamAV: Protecting against 513143 viruses
 Database correctly reloaded (513143 viruses)


Expected results:

No complaints about the system limit size

Additional info:

This is discussed here:
http://www.nabble.com/what-is-the-meaning-of-"System-limit-for-file-size-is-lower-than-maxfilesize-or-maxscansize"-td20534062.html

And this may be related to bug #442169
Comment 1 Bug Zapper 2009-11-18 04:49:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:52:03 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.